Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Branch_Target_Buffer/src/Branch_Target_Buffer.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Branch_Target_Buffer,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/src/Meta_Predictor.cpp	(revision 138)
@@ -68,5 +68,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -80,7 +80,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(Meta_Predictor,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/src/Direction.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Direction,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit.cpp	(revision 138)
@@ -70,5 +70,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -82,7 +82,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Prediction_unit,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(Front_end,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Parameters.h	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Parameters.h	(revision 138)
@@ -24,81 +24,82 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : uint32_t            _nb_front_end                       ;
-  public : uint32_t          * _nb_context                         ;//[nb_front_end]
-  public : uint32_t            _nb_rename_unit                     ;
-  public : uint32_t            _size_queue                         ;
-  public : uint32_t            _nb_bank                            ;
-  public : uint32_t          * _nb_inst_insert                     ;//[nb_rename_unit]
-  public : uint32_t          * _nb_inst_retire	                   ;//[nb_rename_unit]
-  public : uint32_t            _nb_inst_commit                     ;
-  public : uint32_t            _nb_inst_reexecute                  ;
-  public : uint32_t            _nb_inst_branch_complete            ;
-  public : uint32_t         ** _nb_branch_speculated               ;//[nb_front_end][nb_context]
-//public : uint32_t            _size_general_data                  ;
-//public : uint32_t            _size_store_queue_ptr               ;
-//public : uint32_t            _size_load_queue_ptr                ;
-//public : uint32_t            _size_general_register              ;
-//public : uint32_t            _size_special_register              ;
-  public : Tpriority_t         _priority                           ;
-  public : Tload_balancing_t   _load_balancing                     ;
-  public : uint32_t            _nb_rename_unit_select              ;
-  public : uint32_t            _nb_thread                          ;
-  public : uint32_t         ** _translate_num_context_to_num_thread; //[nb_front_end][nb_context]
-  public : const uint32_t      _nb_bank_access_commit              ;
-  public : const retire_ooo_t  _retire_ooo                         ;
-
-  public : uint32_t            _max_nb_context          ;
-  public : uint32_t            _max_nb_inst_insert      ;
-  public : uint32_t            _max_nb_inst_retire      ;
-//public : uint32_t            _size_address            ;
-//public : uint32_t            _size_front_end_id       ;
-//public : uint32_t            _size_context_id         ;
-  public : uint32_t            _size_rename_unit_id     ;    
-  public : uint32_t            _size_bank               ;
-//public : uint32_t            _size_nb_inst            ;
-//public : uint32_t            _size_packet_id          ;
-  public : uint32_t         ** _array_size_depth        ;//[nb_front_end][nb_context]
-//public : uint32_t            _max_size_depth          ;
-
-//public : Tpacket_t           _shift_num_bank          ;
-  public : Tpacket_t           _mask_num_bank           ;
-  public : Tpacket_t           _shift_num_slot          ;
-//public : Tpacket_t           _mask_num_slot           ;
-    
-
-//public : bool                _have_port_front_end_id  ;
-//public : bool                _have_port_context_id    ;
-//public : bool                _have_port_packet_id     ;
-  public : bool                _have_port_rename_unit_id;
-//public : bool                _have_port_load_queue_ptr;
-//public : bool                _have_port_max_depth     ;
-//public : bool             ** _have_port_depth         ;//[nb_front_end][nb_context]
-
-  public : bool              * _have_thread             ;//[nb_thread]
+  public : uint32_t             _nb_front_end                       ;
+  public : uint32_t           * _nb_context                         ;//[nb_front_end]
+  public : uint32_t             _nb_rename_unit                     ;
+  public : uint32_t             _size_queue                         ;
+  public : uint32_t             _nb_bank                            ;
+  public : Tretire_ooo_scheme_t _retire_ooo_scheme                  ;
+  public : uint32_t           * _nb_inst_insert                     ;//[nb_rename_unit]
+  public : uint32_t           * _nb_inst_retire	                    ;//[nb_rename_unit]
+  public : uint32_t             _nb_inst_commit                     ;
+  public : uint32_t             _nb_inst_reexecute                  ;
+  public : uint32_t             _nb_inst_branch_complete            ;
+  public : uint32_t          ** _nb_branch_speculated               ;//[nb_front_end][nb_context]
+//public : uint32_t             _size_general_data                  ;
+//public : uint32_t             _size_store_queue_ptr               ;
+//public : uint32_t             _size_load_queue_ptr                ;
+//public : uint32_t             _size_general_register              ;
+//public : uint32_t             _size_special_register              ;
+  public : Tpriority_t          _priority                           ;
+  public : Tload_balancing_t    _load_balancing                     ;
+  public : uint32_t             _nb_rename_unit_select              ;
+  public : uint32_t             _nb_thread                          ;
+  public : uint32_t          ** _translate_num_context_to_num_thread; //[nb_front_end][nb_context]
+  public : const uint32_t       _nb_bank_access_commit              ;
+                             
+  public : uint32_t             _max_nb_context          ;
+  public : uint32_t             _max_nb_inst_insert      ;
+  public : uint32_t             _max_nb_inst_retire      ;
+//public : uint32_t             _size_address            ;
+//public : uint32_t             _size_front_end_id       ;
+//public : uint32_t             _size_context_id         ;
+  public : uint32_t             _size_rename_unit_id     ;    
+  public : uint32_t             _size_bank               ;
+//public : uint32_t             _size_nb_inst            ;
+//public : uint32_t             _size_packet_id          ;
+  public : uint32_t          ** _array_size_depth        ;//[nb_front_end][nb_context]
+//public : uint32_t             _max_size_depth          ;
+                             
+//public : Tpacket_t            _shift_num_bank          ;
+  public : Tpacket_t            _mask_num_bank           ;
+  public : Tpacket_t            _shift_num_slot          ;
+//public : Tpacket_t            _mask_num_slot           ;
+                             
+                             
+//public : bool                 _have_port_front_end_id  ;
+//public : bool                 _have_port_context_id    ;
+//public : bool                 _have_port_packet_id     ;
+  public : bool                 _have_port_rename_unit_id;
+//public : bool                 _have_port_load_queue_ptr;
+//public : bool                 _have_port_max_depth     ;
+//public : bool              ** _have_port_depth         ;//[nb_front_end][nb_context]
+                             
+  public : bool               * _have_thread             ;//[nb_thread]
 
     //-----[ methods ]-----------------------------------------------------------
-  public : Parameters  (uint32_t            nb_front_end                       ,
-			uint32_t          * nb_context                         ,//[nb_front_end]
-			uint32_t            nb_rename_unit                     ,
-			uint32_t            size_queue                         ,
-			uint32_t            nb_bank                            ,
-			uint32_t          * nb_inst_insert                     ,//[nb_rename_unit]
-			uint32_t          * nb_inst_retire                     ,//[nb_rename_unit]
-			uint32_t            nb_inst_commit                     ,
-			uint32_t            nb_inst_reexecute                  ,
-			uint32_t            nb_inst_branch_complete            ,
-			uint32_t         ** nb_branch_speculated               ,//[nb_front_end][nb_context]
-                        uint32_t            size_nb_inst_decod                 ,
-			uint32_t            size_general_data                  ,
-			uint32_t            size_store_queue_ptr               ,
-			uint32_t            size_load_queue_ptr                ,
-			uint32_t            size_general_register              ,
-			uint32_t            size_special_register              ,
-			Tpriority_t         priority                           ,
-			Tload_balancing_t   load_balancing                     ,
-			uint32_t            nb_rename_unit_select              ,
-                        uint32_t            nb_thread                          ,
-                        uint32_t         ** translate_num_context_to_num_thread, //[nb_front_end][nb_context]
-                        bool                is_toplevel=false
+  public : Parameters  (uint32_t             nb_front_end                       ,
+			uint32_t           * nb_context                         ,//[nb_front_end]
+			uint32_t             nb_rename_unit                     ,
+			uint32_t             size_queue                         ,
+			uint32_t             nb_bank                            ,
+                        Tretire_ooo_scheme_t retire_ooo_scheme                  ,
+			uint32_t           * nb_inst_insert                     ,//[nb_rename_unit]
+			uint32_t           * nb_inst_retire                     ,//[nb_rename_unit]
+			uint32_t             nb_inst_commit                     ,
+			uint32_t             nb_inst_reexecute                  ,
+			uint32_t             nb_inst_branch_complete            ,
+			uint32_t          ** nb_branch_speculated               ,//[nb_front_end][nb_context]
+                        uint32_t             size_nb_inst_decod                 ,
+			uint32_t             size_general_data                  ,
+			uint32_t             size_store_queue_ptr               ,
+			uint32_t             size_load_queue_ptr                ,
+			uint32_t             size_general_register              ,
+			uint32_t             size_special_register              ,
+			Tpriority_t          priority                           ,
+			Tload_balancing_t    load_balancing                     ,
+			uint32_t             nb_rename_unit_select              ,
+                        uint32_t             nb_thread                          ,
+                        uint32_t          ** translate_num_context_to_num_thread, //[nb_front_end][nb_context]
+                        bool                 is_toplevel=false
 			);
 //   public : Parameters  (Parameters & param) ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Types.h	(revision 138)
@@ -23,5 +23,5 @@
       RETIRE_OOO_RENAME_UNIT,
       RETIRE_OOO_CONTEXT
-    } retire_ooo_t;
+    } Tretire_ooo_scheme_t;
 
   typedef enum
@@ -142,4 +142,32 @@
 }; // end namespace core
 }; // end namespace behavioural
+
+  template<> inline std::string toString<morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Tretire_ooo_scheme_t>(const morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Tretire_ooo_scheme_t& x)
+  {
+    switch (x)
+      {
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_IN_ORDER        : return "retire_in_order"       ; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_RENAME_UNIT : return "retire_ooo_rename_unit"; break;
+      case morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_CONTEXT     : return "retire_ooo_context"    ; break;
+      default    : return ""      ; break;
+      }
+  };
+
+  template<> inline morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Tretire_ooo_scheme_t fromString<morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Tretire_ooo_scheme_t>(const std::string& x)
+  {
+    if ((x.compare(toString(static_cast<uint32_t>(morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_IN_ORDER       ))) == 0) or
+        (x.compare(toString(                      morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_IN_ORDER        )) == 0))
+      return morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_IN_ORDER;
+
+    if ((x.compare(toString(static_cast<uint32_t>(morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_RENAME_UNIT))) == 0) or
+        (x.compare(toString(                      morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_RENAME_UNIT )) == 0))
+      return morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_RENAME_UNIT;
+
+    if ((x.compare(toString(static_cast<uint32_t>(morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_CONTEXT    ))) == 0) or
+        (x.compare(toString(                      morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_CONTEXT     )) == 0))
+      return morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::RETIRE_OOO_CONTEXT;
+
+    throw (ERRORMORPHEO ("fromString","Unknow string : \""+x+"\""));
+  };
 
  template<> inline std::string toString<morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::rob_state_t>(const morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::rob_state_t& x)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters.cpp	(revision 138)
@@ -21,29 +21,29 @@
 #undef  FUNCTION
 #define FUNCTION "Commit_unit::Parameters"
-  Parameters::Parameters (uint32_t            nb_front_end                       ,
-			  uint32_t          * nb_context                         ,
-			  uint32_t            nb_rename_unit                     ,
-			  uint32_t            size_queue                         ,
-			  uint32_t            nb_bank                            ,
-			  uint32_t          * nb_inst_insert                     ,
-			  uint32_t          * nb_inst_retire                     ,
-			  uint32_t            nb_inst_commit                     ,
-			  uint32_t            nb_inst_reexecute                  ,
-			  uint32_t            nb_inst_branch_complete            ,
-			  uint32_t         ** nb_branch_speculated               ,
-                          uint32_t            size_nb_inst_decod                 ,
-			  uint32_t            size_general_data                  ,
-			  uint32_t            size_store_queue_ptr               ,
-			  uint32_t            size_load_queue_ptr                ,
-			  uint32_t            size_general_register              ,
-			  uint32_t            size_special_register              ,
-			  Tpriority_t         priority                           ,
-			  Tload_balancing_t   load_balancing                     ,
-			  uint32_t            nb_rename_unit_select              ,
-                          uint32_t            nb_thread                          ,
-                          uint32_t         ** translate_num_context_to_num_thread,
-                          bool                is_toplevel):
-    _nb_bank_access_commit (1              ),
-    _retire_ooo            (RETIRE_IN_ORDER)
+  Parameters::Parameters (uint32_t             nb_front_end                       ,
+			  uint32_t           * nb_context                         ,
+			  uint32_t             nb_rename_unit                     ,
+			  uint32_t             size_queue                         ,
+			  uint32_t             nb_bank                            ,
+                          Tretire_ooo_scheme_t retire_ooo_scheme                  ,
+			  uint32_t           * nb_inst_insert                     ,
+			  uint32_t           * nb_inst_retire                     ,
+			  uint32_t             nb_inst_commit                     ,
+			  uint32_t             nb_inst_reexecute                  ,
+			  uint32_t             nb_inst_branch_complete            ,
+			  uint32_t          ** nb_branch_speculated               ,
+                          uint32_t             size_nb_inst_decod                 ,
+			  uint32_t             size_general_data                  ,
+			  uint32_t             size_store_queue_ptr               ,
+			  uint32_t             size_load_queue_ptr                ,
+			  uint32_t             size_general_register              ,
+			  uint32_t             size_special_register              ,
+			  Tpriority_t          priority                           ,
+			  Tload_balancing_t    load_balancing                     ,
+			  uint32_t             nb_rename_unit_select              ,
+                          uint32_t             nb_thread                          ,
+                          uint32_t          ** translate_num_context_to_num_thread,
+                          bool                 is_toplevel):
+    _nb_bank_access_commit (1              )
   {
     log_begin(Commit_unit,FUNCTION);
@@ -54,4 +54,5 @@
     _size_queue                          = size_queue                         ;
     _nb_bank                             = nb_bank                            ;
+    _retire_ooo_scheme                   = retire_ooo_scheme                  ;
     _nb_inst_insert                      = nb_inst_insert                     ;
     _nb_inst_retire                      = nb_inst_retire                     ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp	(revision 138)
@@ -40,4 +40,7 @@
       test.error(_("nb_bank must be a multiple of size_queue.\n"));
 
+    if (_retire_ooo_scheme != RETIRE_IN_ORDER)
+      test.error(toString(_("retire_ooo_scheme \"%s\" is not yet implemented.\n"),toString(_retire_ooo_scheme).c_str()));
+
 //     if (_nb_inst_reexecute != 1)
 //       test.error(_("nb_inst_reexecute must be set at 1. Anothers value is unsupported.\n"));
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp	(revision 138)
@@ -25,30 +25,30 @@
     std::string str = "";
     
-    str += toString(MSG_INFORMATION)+"  * nb_front_end            : "+toString<uint32_t         >(_nb_front_end           )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_front_end            : "+toString<uint32_t            >(_nb_front_end           )+"\n";
     for (uint32_t i=0; i<_nb_front_end; ++i)
     str += toString(MSG_INFORMATION)+"  * nb_context                ["+toString(i)+"] : "+toString<uint32_t         >(_nb_context [i])+"\n";//[nb_front_end]
-    str += toString(MSG_INFORMATION)+"  * nb_rename_unit          : "+toString<uint32_t         >(_nb_rename_unit         )+"\n";
-    str += toString(MSG_INFORMATION)+"  * size_queue              : "+toString<uint32_t         >(_size_queue             )+"\n";
-    str += toString(MSG_INFORMATION)+"  * nb_bank                 : "+toString<uint32_t         >(_nb_bank                )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_rename_unit          : "+toString<uint32_t            >(_nb_rename_unit         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_queue              : "+toString<uint32_t            >(_size_queue             )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_bank                 : "+toString<uint32_t            >(_nb_bank                )+"\n";
     for (uint32_t i=0; i<_nb_rename_unit; ++i)
     str += toString(MSG_INFORMATION)+"  * nb_inst_insert            ["+toString(i)+"] : "+toString<uint32_t         >(_nb_inst_insert[i])+"\n";//[nb_rename_unit]
     for (uint32_t i=0; i<_nb_rename_unit; ++i)
     str += toString(MSG_INFORMATION)+"  * nb_inst_retire            ["+toString(i)+"] : "+toString<uint32_t         >(_nb_inst_retire[i])+"\n";//[nb_rename_unit]
-    str += toString(MSG_INFORMATION)+"  * nb_inst_commit          : "+toString<uint32_t         >(_nb_inst_commit         )+"\n";
-    str += toString(MSG_INFORMATION)+"  * nb_inst_reexecute       : "+toString<uint32_t         >(_nb_inst_reexecute      )+"\n";
-    str += toString(MSG_INFORMATION)+"  * nb_inst_branch_complete : "+toString<uint32_t         >(_nb_inst_branch_complete)+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_inst_commit          : "+toString<uint32_t            >(_nb_inst_commit         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_inst_reexecute       : "+toString<uint32_t            >(_nb_inst_reexecute      )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_inst_branch_complete : "+toString<uint32_t            >(_nb_inst_branch_complete)+"\n";
     for (uint32_t i=0; i<_nb_front_end; ++i)
     for (uint32_t j=0; j<_nb_context[i]; ++j)
     str += toString(MSG_INFORMATION)+"  * nb_branch_speculated      ["+toString(i)+"]["+toString(j)+"] : "+toString<uint32_t         >(_nb_branch_speculated[i][j])+"\n";//[nb_front_end][nb_context]
-    str += toString(MSG_INFORMATION)+"  * size_general_data       : "+toString<uint32_t         >(_size_general_data      )+"\n";
-    str += toString(MSG_INFORMATION)+"  * size_store_queue_ptr    : "+toString<uint32_t         >(_size_store_queue_ptr   )+"\n";
-    str += toString(MSG_INFORMATION)+"  * size_load_queue_ptr     : "+toString<uint32_t         >(_size_load_queue_ptr    )+"\n";
-    str += toString(MSG_INFORMATION)+"  * size_general_register   : "+toString<uint32_t         >(_size_general_register  )+"\n";
-    str += toString(MSG_INFORMATION)+"  * size_special_register   : "+toString<uint32_t         >(_size_special_register  )+"\n";
-    str += toString(MSG_INFORMATION)+"  * priority                : "+toString<Tpriority_t      >(_priority               )+"\n";
-    str += toString(MSG_INFORMATION)+"  * load_balancing          : "+toString<Tload_balancing_t>(_load_balancing         )+"\n";
-    str += toString(MSG_INFORMATION)+"  * nb_rename_unit_select   : "+toString<uint32_t         >(_nb_rename_unit_select  )+"\n";
-    str += toString(MSG_INFORMATION)+"  * nb_bank_access_commit   : "+toString<uint32_t         >(_nb_bank_access_commit  )+"\n";
-    str += toString(MSG_INFORMATION)+"  * retire_ooo              : "+toString<retire_ooo_t     >(_retire_ooo             )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_general_data       : "+toString<uint32_t            >(_size_general_data      )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_store_queue_ptr    : "+toString<uint32_t            >(_size_store_queue_ptr   )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_load_queue_ptr     : "+toString<uint32_t            >(_size_load_queue_ptr    )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_general_register   : "+toString<uint32_t            >(_size_general_register  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_special_register   : "+toString<uint32_t            >(_size_special_register  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * priority                : "+toString<Tpriority_t         >(_priority               )+"\n";
+    str += toString(MSG_INFORMATION)+"  * load_balancing          : "+toString<Tload_balancing_t   >(_load_balancing         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_rename_unit_select   : "+toString<uint32_t            >(_nb_rename_unit_select  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_bank_access_commit   : "+toString<uint32_t            >(_nb_bank_access_commit  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * retire_ooo_scheme       : "+toString<Tretire_ooo_scheme_t>(_retire_ooo_scheme      )+"\n";
 
     /*
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/include/Issue_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/include/Issue_queue.h	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/include/Issue_queue.h	(revision 138)
@@ -149,5 +149,5 @@
     // in_order implementation only
     // out_of_order implementation only
-  private   : generic::priority::Priority   * _priority_reg;
+//private   : generic::priority::Priority   * _priority_reg;
   private   : generic::priority::Priority   * _priority_out;
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_allocation.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_allocation.cpp	(revision 138)
@@ -191,8 +191,8 @@
 						     _param->_nb_bank);
 
-    _priority_reg = new generic::priority::Priority (_name+"_priority_reg"  ,
-						     _param->_priority      ,
-						     _param->_nb_bank,
-						     _param->_nb_bank);
+    // _priority_reg = new generic::priority::Priority (_name+"_priority_reg"  ,
+    //     					     _param->_priority      ,
+    //     					     _param->_nb_bank,
+    //     					     _param->_nb_bank);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_deallocation.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_deallocation.cpp	(revision 138)
@@ -136,5 +136,5 @@
       {
         delete    _priority_out;
-        delete    _priority_reg;
+        // delete    _priority_reg;
       }
     delete    _component;
